%*******************************************************************************
% hist( t, type ): give temperature or grain edge apparent age in terms of time t 
% since start of model - t must be a scalar, type = 'T' or 'X'

function tans = hist( t, type );

global thvec xhvec

if type == 'T'
    hvec = thvec;
else
    hvec = xhvec;
end;

if hvec(1,1) == -1,
    if type == 'T',
        tans = userthst( t );
    else
        tans = userxhst( t );
    end;
else
    if t <= hvec(1,1), 
        tans = hvec(1,2);
    elseif t >= hvec(length(hvec),1),
        tans = hvec(length(hvec),2);
    else
        for i = 1:length(hvec),
            if t < hvec(i,1), break, end;
        end;
        tans = (hvec(i,1)*hvec(i-1,2) - hvec(i,2)*hvec(i-1,1) + ...
                  (hvec(i,2)-hvec(i-1,2))*t)/(hvec(i,1)-hvec(i-1,1));
    end;
    
end;
